nuspell 5.1.7 Nuspell spellchecking library

Loading...
Searching...
No Matches
finder.hxx File Reference

Finding dictionaries. More...

`#include "defines.hxx"`
`#include "nuspell_export.h"`
`#include <filesystem>`
`#include <string>`
`#include <utility>`
`#include <vector>`

Go to the source code of this file.

## Namespaces
namespace | nuspell
| Library main namespace.

## Functions
auto | nuspell::append_default_dir_paths (vector< fs_path > &paths) -> void
| Append the paths of the default directories to be searched for dictionaries.
auto | nuspell::append_libreoffice_dir_paths (vector< fs_path > &paths) -> void
| Append the paths of the LibreOffice's directories to be searched for dictionaries.
auto | nuspell::search_dirs_for_dicts (const vector< fs_path > &dir_paths, vector< fs_path > &dict_list) -> void
| Search the directories for dictionaries.

## Detailed Description

Finding dictionaries.